class posibase-minimal {
        #include munin-node
        #include sysstat
        #include fail2ban
        #include vnstat
        package { "vim": ensure => installed }
        package { "pwgen": ensure =>  installed }
        package { "lsof": ensure => installed }
        package { "strace": ensure => installed }
        package { "htop": ensure => installed }
        package { "iotop": ensure => installed }
        package { "dnsutils": ensure => installed }
        package { "whois": ensure => installed }
        package { "molly-guard": ensure => installed }
        #package { "smartmontools": ensure => installed }
        #package { "lshw": ensure => installed }
        #package { "acct": ensure => installed }
        #package { "sac": ensure => installed }
        package { "bzip2": ensure => installed }
        package { "locate": ensure => installed }
        package { "less": ensure => installed }
        package { "zip": ensure => installed }
        package { "unzip": ensure => installed }
        package { "sudo": ensure => installed }
        package { "rsync": ensure => installed }
        # Useful for PCI audits
        #package { "chkconfig": ensure => installed }
        ## Jonty says it's useful.
        #package { "iputils-arping": ensure => installed }

        ## Force install of posi-archive-keyring the first time.
        #exec { "Force posi-nrpe install from posi sources":
        #  command => "/usr/bin/apt-get --force-yes --yes install posi-archive-keyring",
        #  creates => "/usr/share/doc/posi-nrpe/copyright",
        #}

}

class git {
	package { "git-core": ensure => installed }
}

node 'timpani-dev' { 

	    # Stuff that is annoying if it's not there >:(	
	    include	posibase-minimal
	    include	unattended-upgrades::enabled

	    # Configure MySQL
	    class { '::mysql::server':
		root_password	=> 'schlagzeug',
	    }
	    include mysql::server

	    class { 'mysql::bindings':
		php_package_name => 'php5-mysql',
	    }
	    include mysql::bindings::php

            # Configuring apache
	    class { 'apache':
		mpm_module => 'prefork',
		default_vhost => false,
	    }
	    include apache 
            include apache::mod::php

            apache::vhost { $::fqdn: 
                    port => '80',
                    docroot => '/home/timpani/public_html',
                    require => File['/home/timpani/public_html'],
            }

            # Setting up the document root
            file { ['/home/timpani', '/home/timpani/public_html'] : 
                    ensure => directory,
            }

            file { '/home/timpani/public_html/index.php' :
                    content => '<?php phpinfo(); ?>',
            }

	    # Configure Memcached
	    class { 'memcached':
  		max_memory => '12%',
	    }	    
	    include memcached

	    # Configure Redis
	    include redis

	    # Development tools
	    include git
}
