class unattended-upgrades::common {
      case $operatingsystem {
        centos, redhat: {
          $periodic_conf_file   = '10periodic.redhat'
          $conf_file            = '50unattended-upgrades.redhat'
        }
        debian, ubuntu: {
          $periodic_conf_file   = '10periodic.debian'
          $conf_file            = '50unattended-upgrades.debian'
        }
      }

      package { 'unattended-upgrades':
        ensure => installed,
      }

      file { '50unattended-upgrades':
        path    => "/etc/apt/apt.conf.d/50unattended-upgrades",
        ensure  => "present",
        mode    => 0640,
        require => Package["unattended-upgrades"],
        source  => "puppet:///modules/unattended-upgrades/${conf_file}",
      }
}

class unattended-upgrades::enabled inherits unattended-upgrades::common {
      file { '10periodic.enabled':
        path    => "/etc/apt/apt.conf.d/10periodic",
        ensure  => "present",
        mode    => 0640,
        require => Package["unattended-upgrades"],
        source  => "puppet:///modules/unattended-upgrades/${periodic_conf_file}",
      }
}

class unattended-upgrades::disabled inherits unattended-upgrades::common {
      file { '10periodic.disabled':
        path    => "/etc/apt/apt.conf.d/10periodic",
        ensure  => "present",
        mode    => 0640,
        require => Package["unattended-upgrades"],
        source  => "puppet:///modules/unattended-upgrades/${periodic_conf_file}.disabled",
      }
    }

